> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get field mappings

> Returns the field mappings configured for the company



## OpenAPI

````yaml /en/openapi.json get /v1/hubspot/field-mappings
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
  - name: resources
    x-group: Arquivos e Anexos
  - name: hubspot
    x-group: HubSpot
paths:
  /v1/hubspot/field-mappings:
    get:
      tags:
        - hubspot
      summary: Get field mappings
      description: Returns the field mappings configured for the company
      operationId: HubSpotController_getFieldMappings
      parameters: []
      responses:
        '200':
          description: Mappings returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFieldMappingsResponseDto'
        '401':
          description: Invalid or expired token
        '403':
          description: You do not have permission to access this resource
      security:
        - JWT-auth: []
components:
  schemas:
    GetFieldMappingsResponseDto:
      type: object
      properties:
        field_mappings:
          description: List of configured mappings
          type: array
          items:
            $ref: '#/components/schemas/FieldMappingDto'
      required:
        - field_mappings
    FieldMappingDto:
      type: object
      properties:
        hubspot_property:
          type: string
          description: HubSpot property in the objectType.propertyName format
          example: contact.lifecyclestage
        custom_field_slug:
          type: string
          description: Slug of the system's custom field
          example: estagio_lead
      required:
        - hubspot_property
        - custom_field_slug
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT authentication token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.